Package com.io7m.idstore.server.admin_v1

# Class IdA1Errors

java.lang.Object
com.io7m.idstore.server.admin_v1.IdA1Errors

public final class IdA1Errors extends Object
Functions to transform exceptions.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static IdAResponseError`
  `errorOf(IdHTTPRequestInformation information, IdAResponseBlame blame, IdException exception)`
  Transform an exception into an error response.
  `static IdHTTPResponseType`
  `errorResponseOf(IdACB1Messages messages, IdHTTPRequestInformation information, IdAResponseBlame blame, IdException exception)`
  Transform an exception into an error response.
  `static IdHTTPResponseType`
  `errorResponseOf(IdACB1Messages messages, IdHTTPRequestInformation information, IdCommandExecutionFailure exception)`
  Transform an exception into an error response.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### errorOf

    public static IdAResponseError errorOf(IdHTTPRequestInformation information, IdAResponseBlame blame, IdException exception)
    Transform an exception into an error response.
    Parameters:
      `information` - The request information
      `blame` - The blame assignment
      `exception` - The exception
    Returns:
      An error response

  - ### errorResponseOf

    public static IdHTTPResponseType errorResponseOf(IdACB1Messages messages, IdHTTPRequestInformation information, IdAResponseBlame blame, IdException exception)
    Transform an exception into an error response.
    Parameters:
      `messages` - A message serializer
      `information` - The request information
      `blame` - The blame assignment
      `exception` - The exception
    Returns:
      An error response

  - ### errorResponseOf

    public static IdHTTPResponseType errorResponseOf(IdACB1Messages messages, IdHTTPRequestInformation information, IdCommandExecutionFailure exception)
    Transform an exception into an error response.
    Parameters:
      `messages` - A message serializer
      `information` - The request information
      `exception` - The exception
    Returns:
      An error response